$def with (username,pwd_admin_len,temppassword1,message)
$var title: Finish password reset

<div id="content">

  <h1>Finish password reset for $username</h1>

  $if message:
    <p class="message">$message</p>

  <form method="POST" action="resetpw" enctype="application/x-www-form-urlencoded" accept-charset="utf-8">

    <input type="hidden" name="username" value="$username" size="25">
    <input type="hidden" name="temppassword1" value="$temppassword1" size="25">

    <fieldset>

      <table>

        $if pwd_admin_len>0:
          <tr>
            <th>
              Reset password<br>(ask zone admin):
            </th>
            <td>
               <input name="temppassword2" value="" size="$pwd_admin_len" maxlength="$pwd_admin_len">
            </td>
          </tr>
        $else:
          <input type="hidden" name="temppassword2" value="">

        <tr>
          <th>
            New password:
          </th>
          <td>
            <input type="password" name="newpassword1" value="" size="20">
          </td>
        </tr>
        <tr>
          <th>
            New password (repeated):
          </th>
          <td>
            <input type="password" name="newpassword2" value="" size="20">
          </td>
        </tr>
      </table>
      <input type="submit" class="submit" name="submit" value="Set new password">
    </fieldset>


  </form>

  <ul class="tip">
    <li>
      Reset password will be told you by your zone admin of
      your particular zone (see reset e-mail).
    </li>
    <li>Note the minimum password length!</li>
    <li>Password with capital and lower-case chars, numbers, and special chars.</li>
    <li><strong>Password must not be used before!</strong></li>
    <li>
      Forgot input values or the temporary password is already expired? &rarr;
      <a href="requestpw?username=$username">Request password reset again</a>.
    </li>
  </ul>

</div>
